/* * { 
	border: 1px solid red !important;
} */ /*For trying things out!*/

:root {
	--width: thin;
	--background: lavenderblush;
	--accent: fuchsia; 
	--highlight: lightyellow;
	--dark: black;
}

@font-face {
    font-family: 'Elemental';
    src: url('elemental.woff');
    font-weight: lighter;
    font-style: normal;
}

@font-face {
    font-family: 'Old Round';
    src: url('OldRound-30-hover.ttf');
    font-weight: lighter;
    font-style: normal;
}

@font-face {
    font-family: 'Compagnon';
    src: url('Compagnon-Light.woff');
    font-weight: lighter;
    font-style: normal;
}

html {
	padding: 0;
	margin: 0;
	
	display:flex;
	align-items:center;
	
	background: var(--background);
}

body {  
  display: grid;
  grid-template-columns: 1fr;
  gap: 0px 0px 0px;
  grid-auto-flow: row;
  justify-content: space-evenly;
  grid-template-areas:
    "header"
    "wrapper"
/* 	"footer" */;
 
  width: 70vw;
  max-width: 1920px;
  
  margin: auto auto;
  
  overflow-y:hidden;
  font-size:1rem;
  font-family:"compagnon";
}

header { 
  grid-area: header; 
  font-size: 2.5rem;
  
  margin-left: -2rem;
}

header h1 {
	font-family: "Elemental";
	
	margin-bottom:0;
	
	color: var(--background);
}

footer { 
  grid-area: footer; 
}

footer p {
	margin: 0;
}


#présentation {
	border-style: dashed;
	border-width: var(--width); 
	border-radius: 0.3rem;
	
	padding: 0.5rem;
	
	background-color: var(--accent);
}

span {
	background-color: var(--background);
}

#span-h1 {
	background-color: var(--dark);
	padding-top: 1rem
}

#wrapper {  
  display: grid;
  grid-template-columns: 1fr 2fr;
  grid-template-rows: 1fr;
  gap: 0px 0px;
  grid-auto-flow: row;
  grid-template-areas:
    "about main";
  grid-area: wrapper;

  position: relative;
  
  max-height: 100%;
  height: 80vh;
}

h1, h2 {
	text-transform: uppercase;
	font-weight: 100;
	font-family: "Old Round";
}

 h2 {
	border-bottom: dashed;
	border-width: var(--width);
	font-size: 2rem;
}

h3 {
	text-transform: lowercase;
}

a {
	color: var(--accent);
}

a:hover {
	background-color: var(--accent);
	color: var(--dark);
}

header a {
	color: var(--background);
	text-decoration: none;
}

ul {
	padding: 0;
}

li {
	list-style: none;
	margin-top: 0.5rem;
	margin-bottom: 0.5rem;
}

summary:hover {
	cursor: help;
	color: var(--accent);
}

#about { 
  grid-area: about; 
}


main { 
  grid-area: main; 
}

main li {
	display: inline-block;
}

main h2 {
	position: sticky;
	top: 0; 
	
	background: var(--background);
}

#témoignages li{
	margin-right: 0.5rem;
}

#témoignages div p {
	display: inline-block;
}

#about, main {
	
	position: absolute;
	padding-left: 1.5rem;
	padding-right: 1.5rem;
	
	height: 100%;
	overflow-y: scroll;
}

#about:not(:hover), main:not(:hover) {
	scrollbar-color: var(--background) var(--background);
}

::selection{
   background-color: var(--highlight);
}

header span::selection {
   background-color: var(--dark);
   color: var(--highlight);
}

header span:hover {
	color: var(--accent);
}

@media only screen and (max-width: 1024px) {
	
	body {  
		display:flex;
		flex-direction:column;
		width: 70vw;
		
		overflow-y: scroll;
	}
	
	header {
		margin-left: 0;
	}
	
	#wrapper {  
		display:flex;
		flex-direction:column;
		position: static;
		height: 100%;
	}
	
	#about, main {
		position: static;
		overflow-y: initial;
		padding-left:0;
		padding-right:0;
	}
	
	main h2 {
		position: initial;
	}
	
/* 	footer p {
		margin: 0.5rem;
} */
	
}

@media only screen and (max-width: 624px) {

	body {  
		width: 95vw;
	}

}